## Update Prefix Description `client.Addressing.Prefixes.Edit(ctx, prefixID, params) (*Prefix, error)` **patch** `/accounts/{account_id}/addressing/prefixes/{prefix_id}` Modify the description for a prefix owned by the account. ### Parameters - `prefixID string` Identifier of an IP Prefix. - `params PrefixEditParams` - `AccountID param.Field[string]` Path param: Identifier of a Cloudflare account. - `Description param.Field[string]` Body param: Description of the prefix. ### Returns - `type Prefix struct{…}` - `ID string` Identifier of an IP Prefix. - `AccountID string` Identifier of a Cloudflare account. - `Advertised bool` Prefix advertisement status to the Internet. This field is only not 'null' if on demand is enabled. - `AdvertisedModifiedAt Time` Last time the advertisement status was changed. This field is only not 'null' if on demand is enabled. - `Approved string` Approval state of the prefix (P = pending, V = active). - `ASN int64` Autonomous System Number (ASN) the prefix will be advertised under. - `CIDR string` IP Prefix in Classless Inter-Domain Routing format. - `CreatedAt Time` - `DelegateLOACreation bool` Whether Cloudflare is allowed to generate the LOA document on behalf of the prefix owner. - `Description string` Description of the prefix. - `IrrValidationState string` State of one kind of validation for an IP prefix. - `LOADocumentID string` Identifier for the uploaded LOA document. - `ModifiedAt Time` - `OnDemandEnabled bool` Whether advertisement of the prefix to the Internet may be dynamically enabled or disabled. - `OnDemandLocked bool` Whether advertisement status of the prefix is locked, meaning it cannot be changed. - `OwnershipValidationState string` State of one kind of validation for an IP prefix. - `OwnershipValidationToken string` Token provided to demonstrate ownership of the prefix. - `RPKIValidationState string` State of one kind of validation for an IP prefix. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/addressing" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"), option.WithAPIEmail("user@example.com"), ) prefix, err := client.Addressing.Prefixes.Edit( context.TODO(), "2af39739cc4e3b5910c918468bb89828", addressing.PrefixEditParams{ AccountID: cloudflare.F("258def64c72dae45f3e4c8516e2111f2"), Description: cloudflare.F("Internal test prefix"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", prefix.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "2af39739cc4e3b5910c918468bb89828", "account_id": "258def64c72dae45f3e4c8516e2111f2", "advertised": true, "advertised_modified_at": "2014-01-01T05:20:00.12345Z", "approved": "P", "asn": 13335, "cidr": "192.0.2.0/24", "created_at": "2014-01-01T05:20:00.12345Z", "delegate_loa_creation": true, "description": "Internal test prefix", "irr_validation_state": "pending", "loa_document_id": "d933b1530bc56c9953cf8ce166da8004", "modified_at": "2014-01-01T05:20:00.12345Z", "on_demand_enabled": true, "on_demand_locked": false, "ownership_validation_state": "pending", "ownership_validation_token": "1234a5b6-1234-1abc-12a3-1234a5b6789c", "rpki_validation_state": "pending" } } ```